%define instrument hawki
Name: esopipe-%{instrument}-datastatic
Version: 2.5.14
Release: a0.1%{?dist}
BuildArch: noarch
Summary: ESO HAWKI instrument pipeline (static data)

Group: Applications/Scientific
License: GPLv2+
Vendor: European Southern Observatory
Packager: <usd-help@eso.org>
URL: http://www.eso.org/sci/software/pipelines
Source0: %{instrument}-calib-%{version}a.tar.gz

%description
ESO data reduction pipeline for the HAWKI instrument.
See www.eso.org/pipelines for a description of the ESO pipeline systems.
This package contains the static data used by the pipeline.

%prep
if ! test -f %{SOURCE0} ; then
    # Unpack the source tarball from the pipeline kit if it is not yet available.
    cd '%{_sourcedir}'
    %_urlhelper - 'https://ftp.eso.org/pub/dfs/pipelines/instruments/%{instrument}/%{instrument}-kit-%{version}a.tar.gz' | gzip -dc | tar -xf - '%{instrument}-kit-%{version}a/%{instrument}-calib-%{version}a.tar.gz'
    mv '%{instrument}-kit-%{version}a/%{instrument}-calib-%{version}a.tar.gz' ./
    rmdir '%{instrument}-kit-%{version}a'
fi
cd %{_builddir}
gzip -dc '%{SOURCE0}' | tar -xf -

%define staticdatadir %{_datadir}/esopipes/datastatic/%{instrument}-%{version}a

%install
rm -rf %{buildroot}
install -m 755 -d %{buildroot}%{staticdatadir}
install -m 644 %{_builddir}/%{instrument}-calib-%{version}a/cal/* %{buildroot}%{staticdatadir}

%files
%{_datadir}/esopipes

%changelog
* Thu Mar 31 2016 ESO <usd at eso.org> 2.5.14-a0.1
- New version created.
